Description

issue

from TNRS issue 188 (in iPlant JIRA):

the flat file from the Download results button does not match the names shown in the Ul with respect to the Constrain by Source
option. specifically, the Constrain by Source option is always forced on for the downloaded results, but we need it to be off, as
set in the Ul. when Constrain by Source is on, this leads to worse matches being selected instead of better ones, so allowing

this to be turned off for the download is very important.

use "Poaceae Crypsis crucianelloides Boissier & Balansa ex Boissier" as a test case, with the sources set to GCC, Tropicos (in
that order). the download incorrectly includes Chrysis (GCC) with a score of 0.2, even though Tropicos provides Crypsis Aiton

with a score of 0.6 and Best match settings > Constrain by Source is unchecked.

there is now a much faster workaround, which Nicole suggested: you can just use the JSON which is output by the web app
when clicking the "+n more" link next to a submitted name. unlike the GWT returned by the initial results, the "+n more" results

are parseable JSON, with the same column names as in the CSV (but crucially, the correct selected match).

fix

— 2014-08-14 conference calls

History

#1 - 07/25/2014 04:09 PM - Aaron Marcuse-Kubitza

- Tracker changed from Task to Bug

#2 - 08/14/2014 03:03 PM - Aaron Marcuse-Kubitza
- % Done changed from 0 to 50

there is now a much faster workaround, described in the last paragraph of the issue description

#3 - 08/14/2014 03:04 PM - Aaron Marcuse-Kubitza

- Description updated

#4 - 10/24/2014 03:16 PM - Aaron Marcuse-Kubitza
- % Done changed from 50 to 70

#5 - 10/24/2014 03:18 PM - Aaron Marcuse-Kubitza

- Description updated
